Bug 1255376 - WiFi USB Dongle from AVM does not switch to WiFi mode
WiFi USB Dongle from AVM does not switch to WiFi mode
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: usb_modeswitch-data (Show other bugs)
22
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Huzaifa S. Sidhpurwala
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-20 08:17 EDT by Jean-Christophe Berthon
Modified: 2017-08-07 14:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:55:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patched file (196 bytes, text/plain)
2015-08-20 08:17 EDT, Jean-Christophe Berthon
no flags Details

  None (edit)
Description Jean-Christophe Berthon 2015-08-20 08:17:39 EDT
Created attachment 1065220 [details]
Patched file

Description of problem:
I have this wifi USB dongle: AVM FRITZ!WLAN USB Stick N v2 (https://wikidevi.com/wiki/AVM_FRITZ!WLAN_USB_Stick_N_v2)

It is first recognised by the system as a USB CD-ROM (CD-ROM mode) and switch (once the CD is ejected) to WiFi mode. This works on Debian Wheezy on my Raspberry Pi, but does not work on Fedora 22 on my laptop. On Fedora 22, the stick is stuck in CD-ROM mode, no USB CDROM is visible and it can't be ejected.

I've upgraded to Debian Jessie on my RPi and I have the same problem as on Fedora 22.

In journalctl on Fedora, it was reporting "usb_modeswitch: use overriding config file /etc/usb_modeswitch.d/057c:62ff; make sure this is intended". Which made me investigate the usb_modeswitch path. Indeed this file was matching the vendor and product ID of the stick in CD-ROM mode. On Debian Jessie, this file does not exist (and journalctl does not provide any helpful hints).

I found 2 interesting things on Fedora:
  1. removing the file /etc/usb_modeswitch.d/057c:62ff make the device mountable as a cdrom. Once ejected, it switch automatically to WiFi mode.
  2. even better, by adding one line to this file, I made it work (i.-e. I plug the stick and it switch automatically to WiFi mode). The new line is (without the single quotes): 'MessageContent="5553424312345678000000000000061b000000ff0000000000000000000000"'

I've found this line in the following file: http://www.draisberghof.de/usb_modeswitch/device_reference.txt
But I have no clue what it means.

When I copied the modified file to Debian Jessie, suddenly it was working there too.


Version-Release number of selected component (if applicable):
WiFi USB dongle: AVM GmbH FRITZ WLAN N v2 [RT5572/rt2870.bin]

On Fedora 22:
usb_modeswitch: 2.2.1-1.fc22
usb_modeswitch-data: 20150115-1.fc22
Kernel: 4.1.4-200.fc22.x86_64

On Debian Jessie:
usb_modeswitch: 2.2.0+repack0-2
usb_modeswitch-data: 20150115-1
Kernel: 4.1.6-v7+



How reproducible:
All the time.


Steps to Reproduce:
1. Require the specific hardware and plug it;
2. Nothing happens: no cdrom and no wifi
3. Journalctl reports the warning about the overriden config file in /etc

Actual results:
As I said in step 2: nothing happens, no wifi and no cd

Expected results:
The best is: WiFi device is available.
Or at least that the stick is able to be ejected as a CD to allow it to switch mode.

Additional info:
As said in the description, by adding this magic line, the best solution is working!
Comment 1 Bart Kuivenhoven 2016-07-07 09:17:34 EDT
I have the same issue with my own WLAN dongle.

The change in the configuration file seems to resolve the issue. Because of that I requested the upstream developer to implement this line in their repository.

Likely the StandardEject line will be removed from the configuration file and be replaced by the MessageContent line will be implemented.

Hopefully this fix will be included in the next release quickly, and as a result trickle down to down stream implementations.

http://draisberghof.de/usb_modeswitch/bb/viewtopic.php?f=3&t=1673&p=16874#p16874
Comment 2 Fedora End Of Life 2016-07-19 15:55:51 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.